APT-CONFIG(8)

NAME
apt-config - APT Configuration Query program

SYNOPSIS

apt-config [-hv] [-o=config string] [-c=file] {shell | dump}

DESCRIPTION

apt-config is an internal program used by various portions of the APT suite to provide consistent configurability. It accesses the main configuration file /etc/apt/apt.conf in a manner that is easy to use by scripted applications.

Unless the -h, or --help option is given one of the commands below must be present.

shell
    shell is used to access the configuration information from a shell script. It is given pairs of arguments, the first being a shell variable and the second the configuration value to query. As output it lists a series of shell assignments commands for each present value. In a shell script it should be used like:

    OPTS="-f"
    RES=`apt-config shell OPTS MyApp::options`
    eval $RES
    This will set the shell environment variable $OPTS to the value of MyApp::options with a default of -f. The configuration item may be postfixed with a /[fdbi]. f returns file names, d returns directories, b returns true or false and i returns an integer. Each of the returns is normalized and verified internally.

dump
    Just show the contents of the configuration space.

OPTIONS

All command line options may be set using the configuration file, the descriptions indicate the configuration option to set. For boolean options you can override the config file by using something like -f-,--no-f, -f=no or several other variations.

-h, --help,
    Show a short usage summary.

-v, --version,
    Show the program version.

-c, --config-file,
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. See apt.conf(5) for syntax information.

-o, --option,
    Set a Configuration Option; This will set an arbitary configuration option. The syntax is -o Foo::Bar=bar.

SEE ALSO

apt.conf(5)

DIAGNOSTICS

apt-config returns zero on normal operation, decimal 100 on error.

BUGS

APT bug page: http://bugs.debian.org/src:apt. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHORS
Jason Gunthorpe, APT team.